package dao;

import java.util.ArrayList;
import java.util.List;

import org.hibernate.SQLQuery;
import org.springframework.stereotype.Repository;

import common.dao.GenericDAO;
import common.dao.IDAO;

@Repository
public class ProvenienzaDAO extends GenericDAO<String, Integer> implements IDAO<String, Integer> {

	public List<String> getProvenienze(String tipo) {
		boolean tx = startTransaction();
		try {
			String sql = "select distinct provenienzaDisposizione from disposizioni_" + tipo + " order by provenienzaDisposizione";
			
			SQLQuery q = currentSession().createSQLQuery(sql);
			
			List<String> res=q.list();
			
			return res;
		} finally {
			if (tx)
				tx = commit();
		}
	}
}
